# Generated by Django 3.2.4 on 2021-08-25 06:54

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('crams_contact', '0003_contactlog'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('crams_allocation', '0002_init_lookups'),
        ('crams', '0010_projectmemberstatus_lookups'),
    ]

    operations = [
        migrations.CreateModel(
            name='ReviewConfig',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email_notification_template_file', models.CharField(max_length=255)),
                ('internal_email', models.EmailField(blank=True, max_length=254, null=True)),
                ('review_period_month', models.IntegerField(default=12)),
                ('review_notify_month', models.IntegerField(default=2)),
                ('enable', models.BooleanField(default=True)),
                ('e_research_body', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='crams.eresearchbody')),
            ],
        ),
        migrations.CreateModel(
            name='ReviewDate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_ts', models.DateTimeField(auto_now_add=True)),
                ('last_modified_ts', models.DateTimeField(auto_now=True)),
                ('review_date', models.DateTimeField()),
                ('status', models.CharField(choices=[('P', 'Pending'), ('S', 'Sent'), ('K', 'Skipped'), ('F', 'Failed')], default='P', max_length=1)),
                ('notes', models.TextField(blank=True, null=True)),
                ('review_json', models.TextField(blank=True, null=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='reviewdate_created_by', to=settings.AUTH_USER_MODEL)),
                ('request', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='crams_allocation.request')),
                ('updated_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='reviewdate_updated_by', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ReviewContactRole',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contact_role', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='crams_contact.contactrole')),
                ('review_config', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='contact_roles', to='crams_review.reviewconfig')),
            ],
        ),
    ]
